# Created by pyp2rpm-3.3.7
%global pypi_name PyChromecast

Name:           python-pychromecast
Version:        12.1.2
Release:        %mkrel 1
Summary:        Python module to talk to Google Chromecast
Group:          Development/Python
License:        MIT
URL:            https://github.com/balloob/pychromecast
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python library to communicate with the Google Chromecast.

%package -n     python3-pychromecast
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-pychromecast}

Requires:       python3dist(casttube) >= 0.2
Requires:       python3dist(protobuf) >= 3.19.1
Requires:       python3dist(zeroconf) >= 0.25.1

%description -n python3-pychromecast
Python library to communicate with the Google Chromecast.


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-pychromecast
%license LICENSE
%doc README.rst
%{python3_sitelib}/pychromecast
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat May 14 2022 wally <wally> 12.1.2-1.mga9
+ Revision: 1858072
- imported package python-pychromecast

